Update beneficiary

Updates a beneficiary from your platform.
This endpoint is only available to certain participants leveraging zerohash for beneficiary services. Please contact us for more information on enabling this endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique participant identifier. Always 6 uppercase alphanumeric characters.

Body Params

Updated beneficiary fields (all fields optional, only send fields to update)

string
required

The first name of the customer being onboarded.

string
required

The last name of the customer being onboarded.

string

Customer email address, required.
Note: zerohash will validate that the email is a correctly formatted email, and that the value is unique per-platform

string

The phone number of the participant

string

First line for the customer's address.

Notes:

  • The regular maximum length is 80 characters.
  • If the platform is on the vendor reliance track, the maximum length increases to 200 characters.
  • PO Box addresses are not accepted.
string

Extra information, like an apartment or suite number.

Notes:

  • The maximum length is 50 characters for platform using KYCaaS through zerohash.
  • If the platform is on the shared vendor reliance track, the maximum length increases to 200 characters.
  • PO Box addresses are not accepted.
string
required

The city customer resides in.

string
required

Zip code of the customer, required if country is USA, min 5 characters or <5digits>-<4digits>, no leading or trailing spaces", e.g. 77777 or 77777-7777.

string
enum
required

The ISO 3166-2 subdivision code that the customer resides in. A full list of valid jurisdiction codes can be retrieved from the GET /jurisdictions/subdivisions endpoint passing a country parameter.

string

Date of birth of the customer in the format YYYY-MM-DD

string

The national ID of the participant, e.g. a social security number.

  • Required when citizenship_code is US.
  • Optional when citizenship_code is not US, but if provided, must be accompanied by a valid id_number and id_number_type.
  • If the tax ID provided is a US ITIN (a 9-digit US ID that begins with the number 9), then id_number_type will be required.
string
enum

The id number type field is required when;

  • citizenship is not US
  • citizenship=US and tax_id starts with 9 (is an ITIN, a 9-digit US ID that begins with the number 9).
    Passport, EU Drivers License, National ID are EU-specific types. EU platforms also accept us_passport, non_us_passport, non_us_other, us_drivers_license, us_id_card, us_passport_card
string

The ID number for the customer.

  • Required when citizenship_code is not US
  • Required when citizenship_code : US but tax_id is an ITIN (a 9-digit US ID that begins with the number 9).
string
enum

The ISO-3166-1 alpha2 citizenship of the participant, e.g. US.

string

This is required if you select non_us_other for the id_number_type - a freeform string to describe the ID type

string

ISO-3166-1_A2 country code that issued the ID. Required if id_number is provided.

Headers
string
required

HMAC-SHA256 signature of the request, base64-encoded. See the Authentication guide for the exact signing formula.

string
required

Current Unix timestamp in seconds. Must be within 60 seconds of server time or the request is rejected.

uuid

Optional client-supplied request ID used for tracing and idempotency. Must be a UUID v4. When omitted, zerohash generates one and returns it in the response X-Request-Id header.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json